COLORS(1)

NAME
colors, cmapcube - display color map

SYNOPSIS

colors [ -r -x ]

cmapcube [ -nbw ]

DESCRIPTION
Colors presents a grid showing the colors in the RGBV color map (see color((7))).

Clicking mouse button 1 over a color in the grid will display the map index for that color, its red, green, and blue components, and the 32-bit hexadecimal color value as defined in allocimage((3)). If the -x option is specified, the components will also be listed in hexadecimal.

The -r option instead shows, in the same form, a grey-scale ramp.

A menu on mouse button 3 contains a single entry, to exit the program.

Cmapcube presents the same colors but in a 3-dimensional cube. Dragging with button 1 rotates the cube. Clicking on a color with button 2 displays the map index for that color. Clicking button 3 exits.

The -n option disables drawing of the color squares. The -b and -w options set the background (default grey) to black or white.

SOURCE
/src/cmd/draw/colors.c

SEE ALSO
color((7))